<?php include_once('psd.php'); // This is a PSD include
$title = 'Example 3'; include_once('inc/header.php');

echo '<p>This example demonstrates of using Message Panel to display texts and PHP variables.
This PHP code generates for you:</p><ul>';

echo "\n".'<li>1. Text output: psd_text("Test\t &lt;b&gt;test&lt;/b&gt; test\n")</li>';
	psd_text("Test\t <b>test</b> test\n");

echo "\n".'<li>2. HTML output: psd_html("Test\t &lt;b&gt;test&lt;/b&gt; test\n")</li>';
	psd_html("Test\t <b>test</b> test\n");

echo "\n".'<li>3. Variable content: psd_var($x)</li>';
	$x = 3.14; psd_var($x);

echo "\n".'<li>4. Multiple variable content: psd_var($x, $y, $z)</li>';
	$x = array(1,2,3); $y=true; $z='text'; psd_var($x, $y, $z);

echo "\n".'<li>5. Very long text variable with truncation: psd_var($x)</li>';
	$x =
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n";
	psd_var($x);

echo "\n".'<li>6. Using psd_var_export to see arrays and objects: psd_var_export($x)</li>';
	$x = array("aaa","bbb","ccc"); psd_var_export($x);

echo "\n".'<li>7. Using psd_print_r to see arrays and objects: psd_print_r($x)</li>';
	$x = array("aaa","bbb","ccc"); psd_print_r($x);

echo "\n".'<li>8. Using psd_zval_dump to see arrays and objects: psd_zval_dump($x)</li>';
	$x = array("aaa","bbb","ccc"); psd_zval_dump($x);


echo '</ul><p>You can also see all the script global variables after the script
execution in the Script Information and Tools Panel ($title, $x, $y, $z).</p>';
include_once('inc/footer.php');
?>
