<?php include_once('psd.php'); // This is a PSD include
$title = 'Example 6'; include_once('inc/header.php');

echo PSD_FROM;
echo '<p>This example demonstrates benchmarking and using backtrace.</p>';

echo '<p>Benchmark begin...</p>';

echo '<p>'.psd_text('Benchmark begin');
for ($i=1; $i<=200; $i++)
{
	echo $i.' ';
}
echo psd_text('Benchmark end').'</p>';

echo '<p>...Benchmark end. The resulted time is located in value Delta of the second debug point.</p>';

// Backtrace functions

function qqq()
{
	echo psd_backtrace();
}

function www()
{
	qqq();
}

function eee()
{
	www();
}

echo '<p>Example of a backtrace debug output using psd_backtrace:';

echo '<br />Calling of www() &raquo; qqq():'."\n"; www();
echo '<br />Calling of eee() &raquo; www() &raquo; qqq():'."\n"; eee();

echo '</p>';

include_once('inc/footer.php');
?>
